Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.acegisecurity.providers.jaas
Interface JaasAuthenticationCallbackHandler

All Known Implementing Classes:
  JaasNameCallbackHandler, JaasPasswordCallbackHandler

    public interface JaasAuthenticationCallbackHandler

The JaasAuthenticationCallbackHandler is similar to the javax.security.auth.callback.CallbackHandler interface in that it defines a handle method. The JaasAuthenticationCallbackHandler is only asked to handle one Callback instance at at time rather than an array of all Callbacks, as the javax... CallbackHandler defines.

Before a JaasAuthenticationCallbackHandler is asked to 'handle' any callbacks, it is first passed the Authentication object that the login attempt is for. NOTE: The Authentication object has not been 'authenticated' yet.

Version:
  $Id: JaasAuthenticationCallbackHandler.java,v 1.4 2005/11/17 00:55:52 benalex Exp $
Author:
  Ray Krueger
See Also:
  `JaasNameCallbackHandler`, `JaasPasswordCallbackHandler`, Callback, CallbackHandler

Method Summary
`void` | `handle(Callback callback, Authentication auth)` Handle the Callback.

Method Detail

### handle

    void handle(Callback callback,
                Authentication auth)
                throws IOException,
                       UnsupportedCallbackException

  Handle the Callback. The handle method will be called for every callback instance sent from the LoginContext. Meaning that The handle method may be called multiple times for a given JaasAuthenticationCallbackHandler.

  Parameters:
    `callback` -
    `auth` - The Authentication object currently being authenticated.
  Throws:
    `IOException`
    `UnsupportedCallbackException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2004-2005 Acegi Technology Pty Limited. All Rights Reserved.